#ifndef DECL_PERF_EVENT
#   define DECL_PERF_EVENT(name, label, red, green, blue)
#endif

// NOTE: Do not include this file directly. It is intended to be included from
//       certain places, with different definitions of DECL_PERF_EVENT().

DECL_PERF_EVENT(probe, "Probe", 1.0f, 0.0f, 1.0f)
DECL_PERF_EVENT(drawFrame, "Draw frame total", 0.05f, 0.5f, 0.7f)
DECL_PERF_EVENT(traverseDrawChunks, "Traverse chunks for drawing", 0.05f, 0.05f, 1.0f)
DECL_PERF_EVENT(renderChunks, "Render chunks", 0.7f, 0.05f, 0.05f)
DECL_PERF_EVENT(beginRender, "Render begin", 0.7f, 0.05f, 0.7f)
DECL_PERF_EVENT(drawChunks, "Draw chunks", 0.05f, 1.0f, 0.05f)
DECL_PERF_EVENT(drawChunksCmdbuf, "Draw chunks: cmdbuf stage", 0.05f, 0.5f, 0.05f)
DECL_PERF_EVENT(purgeBuffers, "Purge buffers", 0.3f, 0.3f, 0.3f)
DECL_PERF_EVENT(runAsync, "Start async", 0.8f, 0.8f, 0.05f)

#undef DECL_PERF_EVENT